Galleries - Create Or Update
Membuat atau memperbarui Shared Image Gallery.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/galleries/{galleryName}?api-version=2022-01-03
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
gallery
|
path | True |
|
Nama Shared Image Gallery. Karakter yang diizinkan adalah alfabet dan angka dengan titik dan titik yang diizinkan di tengah. Panjang maksimum adalah 80 karakter. |
|
resource
|
path | True |
|
Nama grup sumber daya. |
|
subscription
|
path | True |
|
Kredensial langganan yang secara unik mengidentifikasi langganan Microsoft Azure. ID langganan membentuk bagian dari URI untuk setiap panggilan layanan. |
|
api-version
|
query | True |
|
Versi Api Klien. |
Isi Permintaan
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
|
Lokasi sumber daya |
| properties.description |
|
Deskripsi sumber daya Shared Image Gallery ini. Properti ini dapat diperbarui. |
|
| properties.identifier |
Menjelaskan nama unik galeri. |
||
| properties.sharingProfile |
Profil untuk berbagi galeri ke langganan atau penyewa |
||
| properties.softDeletePolicy |
Berisi informasi tentang kebijakan penghapusan sementara galeri. |
||
| tags |
|
Tag sumber daya |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 201 Created |
Dibuat |
|
| 202 Accepted |
Diterima |
|
| Other Status Codes |
Respons kesalahan yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
| Create a community gallery. |
| Create or update a simple gallery with sharing profile. |
| Create or update a simple gallery with soft deletion enabled. |
| Create or update a simple gallery. |
Create a community gallery.
Sample Request
PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/galleries/myGalleryName?api-version=2022-01-03
{
"location": "West US",
"properties": {
"description": "This is the gallery description.",
"sharingProfile": {
"permissions": "Community",
"communityGalleryInfo": {
"publisherUri": "uri",
"publisherContact": "pir@microsoft.com",
"eula": "eula",
"publicNamePrefix": "PirPublic"
}
}
}
}
Sample Response
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Updating",
"sharingProfile": {
"permissions": "Community",
"communityGalleryInfo": {
"publisherUri": "uri",
"publisherContact": "pir@microsoft.com",
"eula": "eula",
"publicNamePrefix": "PirPublic"
}
}
},
"location": "West US",
"name": "myGalleryName"
}
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Creating",
"sharingProfile": {
"permissions": "Community",
"communityGalleryInfo": {
"publisherUri": "uri",
"publisherContact": "pir@microsoft.com",
"eula": "eula",
"publicNamePrefix": "PirPublic"
}
}
},
"location": "West US",
"name": "myGalleryName"
}
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Updating",
"sharingProfile": {
"permissions": "Community",
"communityGalleryInfo": {
"publisherUri": "uri",
"publisherContact": "pir@microsoft.com",
"eula": "eula",
"publicNamePrefix": "PirPublic"
}
}
},
"location": "West US",
"name": "myGalleryName"
}
Create or update a simple gallery with sharing profile.
Sample Request
PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/galleries/myGalleryName?api-version=2022-01-03
{
"location": "West US",
"properties": {
"description": "This is the gallery description.",
"sharingProfile": {
"permissions": "Groups"
}
}
}
Sample Response
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Updating",
"sharingProfile": {
"permissions": "Groups"
}
},
"location": "West US",
"name": "myGalleryName"
}
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Creating",
"sharingProfile": {
"permissions": "Groups"
}
},
"location": "West US",
"name": "myGalleryName"
}
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Updating",
"sharingProfile": {
"permissions": "Groups"
}
},
"location": "West US",
"name": "myGalleryName"
}
Create or update a simple gallery with soft deletion enabled.
Sample Request
PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/galleries/myGalleryName?api-version=2022-01-03
{
"location": "West US",
"properties": {
"description": "This is the gallery description.",
"softDeletePolicy": {
"isSoftDeleteEnabled": true
}
}
}
Sample Response
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Updating",
"softDeletePolicy": {
"isSoftDeleteEnabled": true
}
},
"location": "West US",
"name": "myGalleryName"
}
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Creating",
"softDeletePolicy": {
"isSoftDeleteEnabled": true
}
},
"location": "West US",
"name": "myGalleryName"
}
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Updating",
"softDeletePolicy": {
"isSoftDeleteEnabled": true
}
},
"location": "West US",
"name": "myGalleryName"
}
Create or update a simple gallery.
Sample Request
PUT https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/galleries/myGalleryName?api-version=2022-01-03
{
"location": "West US",
"properties": {
"description": "This is the gallery description."
}
}
Sample Response
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Updating"
},
"location": "West US",
"name": "myGalleryName"
}
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Creating"
},
"location": "West US",
"name": "myGalleryName"
}
{
"properties": {
"description": "This is the gallery description.",
"identifier": {
"uniqueName": "{subscription-id}-MYGALLERYNAME"
},
"provisioningState": "Updating"
},
"location": "West US",
"name": "myGalleryName"
}
Definisi
|
Api |
Kesalahan api. |
|
Api |
Basis kesalahan api. |
|
Cloud |
Respons kesalahan dari layanan Komputasi. |
|
Community |
Informasi galeri komunitas jika galeri saat ini dibagikan ke komunitas |
| Gallery |
Menentukan informasi tentang Shared Image Gallery yang ingin Anda buat atau perbarui. |
|
Gallery |
Menjelaskan nama unik galeri. |
|
Gallery |
Status galeri atau artefak galeri saat ini. |
|
Gallery |
Properti ini memungkinkan Anda menentukan izin berbagi galeri. |
|
Inner |
Detail kesalahan dalam. |
|
Regional |
Status berbagi regional galeri |
|
Sharing |
Profil untuk berbagi galeri ke langganan atau penyewa |
|
Sharing |
Grup profil berbagi galeri |
|
Sharing |
Properti ini memungkinkan Anda menentukan jenis grup berbagi. |
|
Sharing |
Status berbagi galeri. |
|
Sharing |
Berbagi status galeri saat ini. |
|
Soft |
Berisi informasi tentang kebijakan penghapusan sementara galeri. |
ApiError
Kesalahan api.
| Name | Type | Description |
|---|---|---|
| code |
|
Kode kesalahan. |
| details |
Detail kesalahan Api |
|
| innererror |
Kesalahan dalam Api |
|
| message |
|
Pesan kesalahan. |
| target |
|
Target kesalahan tertentu. |
ApiErrorBase
Basis kesalahan api.
| Name | Type | Description |
|---|---|---|
| code |
|
Kode kesalahan. |
| message |
|
Pesan kesalahan. |
| target |
|
Target kesalahan tertentu. |
CloudError
Respons kesalahan dari layanan Komputasi.
| Name | Type | Description |
|---|---|---|
| error |
Kesalahan api. |
CommunityGalleryInfo
Informasi galeri komunitas jika galeri saat ini dibagikan ke komunitas
| Name | Type | Description |
|---|---|---|
| communityGalleryEnabled |
|
Berisi info tentang apakah berbagi galeri komunitas diaktifkan. |
| eula |
|
Perjanjian lisensi pengguna akhir untuk gambar galeri komunitas. |
| publicNamePrefix |
|
Awalan nama galeri yang akan ditampilkan secara publik. Terlihat oleh semua pengguna. |
| publicNames |
|
Daftar nama publik galeri komunitas. |
| publisherContact |
|
Penerbit galeri komunitas mendukung email. Alamat email penerbit. Terlihat oleh semua pengguna. |
| publisherUri |
|
Tautan ke situs web penerbit. Terlihat oleh semua pengguna. |
Gallery
Menentukan informasi tentang Shared Image Gallery yang ingin Anda buat atau perbarui.
| Name | Type | Description |
|---|---|---|
| id |
|
ID sumber daya |
| location |
|
Lokasi sumber daya |
| name |
|
Nama sumber daya |
| properties.description |
|
Deskripsi sumber daya Shared Image Gallery ini. Properti ini dapat diperbarui. |
| properties.identifier |
Menjelaskan nama unik galeri. |
|
| properties.provisioningState |
Status galeri atau artefak galeri saat ini. |
|
| properties.sharingProfile |
Profil untuk berbagi galeri ke langganan atau penyewa |
|
| properties.sharingStatus |
Berbagi status galeri saat ini. |
|
| properties.softDeletePolicy |
Berisi informasi tentang kebijakan penghapusan sementara galeri. |
|
| tags |
|
Tag sumber daya |
| type |
|
Jenis Sumber Daya |
GalleryIdentifier
Menjelaskan nama unik galeri.
| Name | Type | Description |
|---|---|---|
| uniqueName |
|
Nama unik Shared Image Gallery. Nama ini dihasilkan secara otomatis oleh Azure. |
GalleryProvisioningState
Status galeri atau artefak galeri saat ini.
| Name | Type | Description |
|---|---|---|
| Creating |
|
|
| Deleting |
|
|
| Failed |
|
|
| Migrating |
|
|
| Succeeded |
|
|
| Updating |
|
GallerySharingPermissionTypes
Properti ini memungkinkan Anda menentukan izin berbagi galeri.
Potensi nilai:
Privat
Grup
Komunitas
| Name | Type | Description |
|---|---|---|
| Community |
|
|
| Groups |
|
|
| Private |
|
InnerError
Detail kesalahan dalam.
| Name | Type | Description |
|---|---|---|
| errordetail |
|
Pesan kesalahan internal atau cadangan pengecualian. |
| exceptiontype |
|
Jenis pengecualian. |
RegionalSharingStatus
Status berbagi regional galeri
| Name | Type | Description |
|---|---|---|
| details |
|
Detail kegagalan berbagi regional galeri. |
| region |
|
Nama wilayah |
| state |
Status berbagi galeri. |
SharingProfile
Profil untuk berbagi galeri ke langganan atau penyewa
| Name | Type | Description |
|---|---|---|
| communityGalleryInfo |
Informasi galeri komunitas jika galeri saat ini dibagikan ke komunitas. |
|
| groups |
Daftar berbagi grup profil. |
|
| permissions |
Properti ini memungkinkan Anda menentukan izin berbagi galeri. |
SharingProfileGroup
Grup profil berbagi galeri
| Name | Type | Description |
|---|---|---|
| ids |
|
Daftar id langganan/penyewa tempat galeri ditujukan untuk dibagikan. |
| type |
Properti ini memungkinkan Anda menentukan jenis grup berbagi. |
SharingProfileGroupTypes
Properti ini memungkinkan Anda menentukan jenis grup berbagi.
Potensi nilai:
Langganan
AADTenants
| Name | Type | Description |
|---|---|---|
| AADTenants |
|
|
| Subscriptions |
|
SharingState
Status berbagi galeri.
| Name | Type | Description |
|---|---|---|
| Failed |
|
|
| InProgress |
|
|
| Succeeded |
|
|
| Unknown |
|
SharingStatus
Berbagi status galeri saat ini.
| Name | Type | Description |
|---|---|---|
| aggregatedState |
Status berbagi galeri. |
|
| summary |
Ringkasan semua status berbagi regional. |
SoftDeletePolicy
Berisi informasi tentang kebijakan penghapusan sementara galeri.
| Name | Type | Description |
|---|---|---|
| isSoftDeleteEnabled |
|
Memungkinkan penghapusan sementara untuk sumber daya di galeri ini, memungkinkannya dipulihkan dalam waktu retensi. |